UM C API 6.17.1

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- Data Structures
- Data Fields

Data Fields
_Lbmmon__DROMonMsg__Stats__Portal__Endpoint__Receive Struct Reference

`#include <dro_mon.pb-c.h>`

## Data Fields
ProtobufCMessage | base
uint64_t | transport_topic_fragments_rcvd
uint64_t | transport_topic_fragment_bytes_rcvd
uint64_t | transport_topic_req_fragments_rcvd
uint64_t | transport_topic_req_fragment_bytes_rcvd
uint64_t | transport_topic_control_rcvd
uint64_t | transport_topic_control_bytes_rcvd
uint64_t | immediate_topic_fragments_rcvd
uint64_t | immediate_topic_fragment_bytes_rcvd
uint64_t | immediate_topic_req_fragments_rcvd
uint64_t | immediate_topic_req_fragment_bytes_rcvd
uint64_t | immediate_topicless_fragments_rcvd
uint64_t | immediate_topicless_fragment_bytes_rcvd
uint64_t | immediate_topicless_req_fragments_rcvd
uint64_t | immediate_topicless_req_fragment_bytes_rcvd
uint64_t | unicast_data_msgs_rcvd
uint64_t | unicast_data_msg_bytes_rcvd
uint64_t | unicast_data_msgs_rcvd_no_stream
uint64_t | unicast_data_msg_bytes_rcvd_no_stream
uint64_t | unicast_data_msgs_dropped_dup
uint64_t | unicast_data_msg_bytes_dropped_dup
uint64_t | unicast_data_msgs_dropped_no_route
uint64_t | unicast_data_msg_bytes_dropped_no_route
uint64_t | unicast_cntl_msgs_rcvd
uint64_t | unicast_cntl_msg_bytes_rcvd
uint64_t | unicast_cntl_msgs_rcvd_no_stream
uint64_t | unicast_cntl_msg_bytes_rcvd_no_stream
uint64_t | unicast_cntl_msgs_dropped_dup
uint64_t | unicast_cntl_msg_bytes_dropped_dup
uint64_t | unicast_cntl_msgs_dropped_no_route
uint64_t | unicast_cntl_msg_bytes_dropped_no_route

## Detailed Description

Structure containing receive statistics related to this endpoint portal.

## Field Documentation

uint64_t _Lbmmon__DROMonMsg__Stats__Portal__Endpoint__Receive::immediate_topic_fragment_bytes_rcvd

Immediate topic message fragment bytes received.

uint64_t _Lbmmon__DROMonMsg__Stats__Portal__Endpoint__Receive::immediate_topic_fragments_rcvd

Immediate topic message fragments received.

uint64_t _Lbmmon__DROMonMsg__Stats__Portal__Endpoint__Receive::immediate_topic_req_fragment_bytes_rcvd

Immediate topic message request fragment bytes received.

uint64_t _Lbmmon__DROMonMsg__Stats__Portal__Endpoint__Receive::immediate_topic_req_fragments_rcvd

Immediate topic message request fragments received.

uint64_t _Lbmmon__DROMonMsg__Stats__Portal__Endpoint__Receive::immediate_topicless_fragment_bytes_rcvd

Immediate topicless message fragment bytes received.

uint64_t _Lbmmon__DROMonMsg__Stats__Portal__Endpoint__Receive::immediate_topicless_fragments_rcvd

Immediate topicless message fragments received.

uint64_t _Lbmmon__DROMonMsg__Stats__Portal__Endpoint__Receive::immediate_topicless_req_fragment_bytes_rcvd

Immediate topicless message request fragment bytes received.

uint64_t _Lbmmon__DROMonMsg__Stats__Portal__Endpoint__Receive::immediate_topicless_req_fragments_rcvd

Immediate topicless message request fragments received.

uint64_t _Lbmmon__DROMonMsg__Stats__Portal__Endpoint__Receive::transport_topic_control_bytes_rcvd

Transport topic control message bytes received.

uint64_t _Lbmmon__DROMonMsg__Stats__Portal__Endpoint__Receive::transport_topic_control_rcvd

Transport topic control message received.

uint64_t _Lbmmon__DROMonMsg__Stats__Portal__Endpoint__Receive::transport_topic_fragment_bytes_rcvd

Transport topic message fragment bytes received.

uint64_t _Lbmmon__DROMonMsg__Stats__Portal__Endpoint__Receive::transport_topic_fragments_rcvd

Transport topic message fragments received.

uint64_t _Lbmmon__DROMonMsg__Stats__Portal__Endpoint__Receive::transport_topic_req_fragment_bytes_rcvd

Transport topic message request fragment bytes received.

uint64_t _Lbmmon__DROMonMsg__Stats__Portal__Endpoint__Receive::transport_topic_req_fragments_rcvd

Transport topic message request fragments received.

uint64_t _Lbmmon__DROMonMsg__Stats__Portal__Endpoint__Receive::unicast_cntl_msg_bytes_dropped_dup

Unicast control message bytes dropped as duplicates.

uint64_t _Lbmmon__DROMonMsg__Stats__Portal__Endpoint__Receive::unicast_cntl_msg_bytes_dropped_no_route

Unicast control message bytes dropped no route.

uint64_t _Lbmmon__DROMonMsg__Stats__Portal__Endpoint__Receive::unicast_cntl_msg_bytes_rcvd

Unicast control message bytes received.

uint64_t _Lbmmon__DROMonMsg__Stats__Portal__Endpoint__Receive::unicast_cntl_msg_bytes_rcvd_no_stream

Unicast control message bytes received with no stream identification.

uint64_t _Lbmmon__DROMonMsg__Stats__Portal__Endpoint__Receive::unicast_cntl_msgs_dropped_dup

Unicast control messages dropped as duplicates.

uint64_t _Lbmmon__DROMonMsg__Stats__Portal__Endpoint__Receive::unicast_cntl_msgs_dropped_no_route

Unicast control messages dropped no route.

uint64_t _Lbmmon__DROMonMsg__Stats__Portal__Endpoint__Receive::unicast_cntl_msgs_rcvd

Unicast control messages received.

uint64_t _Lbmmon__DROMonMsg__Stats__Portal__Endpoint__Receive::unicast_cntl_msgs_rcvd_no_stream

Unicast control messages received with no stream identification.

uint64_t _Lbmmon__DROMonMsg__Stats__Portal__Endpoint__Receive::unicast_data_msg_bytes_dropped_dup

Unicast data message bytes dropped as duplicates.

uint64_t _Lbmmon__DROMonMsg__Stats__Portal__Endpoint__Receive::unicast_data_msg_bytes_dropped_no_route

Unicast data message bytes dropped no route.

uint64_t _Lbmmon__DROMonMsg__Stats__Portal__Endpoint__Receive::unicast_data_msg_bytes_rcvd

Unicast data message bytes received.

uint64_t _Lbmmon__DROMonMsg__Stats__Portal__Endpoint__Receive::unicast_data_msg_bytes_rcvd_no_stream

Unicast data message bytes received with no stream identification.

uint64_t _Lbmmon__DROMonMsg__Stats__Portal__Endpoint__Receive::unicast_data_msgs_dropped_dup

Unicast data messages dropped as duplicates.

uint64_t _Lbmmon__DROMonMsg__Stats__Portal__Endpoint__Receive::unicast_data_msgs_dropped_no_route

Unicast data messages dropped no route.

uint64_t _Lbmmon__DROMonMsg__Stats__Portal__Endpoint__Receive::unicast_data_msgs_rcvd

Unicast data messages received.

uint64_t _Lbmmon__DROMonMsg__Stats__Portal__Endpoint__Receive::unicast_data_msgs_rcvd_no_stream

Unicast data messages received with no stream identification.

The documentation for this struct was generated from the following file:

- dro_mon.pb-c.h